## samba 4.16.2

=== debian/changelog ===
samba (2:4.16.2-1A~5.0.0.202210171146) ucs5-0-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    00_SAMBA_VERSION_VENDOR_SUFFIX
    00_waf_python2
    01_test_univention_s4search_in_postinst
    02_bug43192_workaround_for_winbind_postinst
    05_dont_install_systemd_service_files
    08_configure_options
    09_use_internal_heimdal
    11_redirect-init-script-messages
    14_samba-ad-dc_autostart
    14_samba-ad-dc_coredump_limit
    15_samba4_stop
    17_pam_auth
    17_samba-common_smb.conf
    18_loadparm_debug_level
    18_samba_smb.conf
    20_dont_search_for_cn=system-part1
    20_dont_search_for_cn=system-part2
    32_dlz_bind9_zone_prefixes
    33_dlz_bind9_disable_application_partitions
    34_dns_update_tombstoned
    34_samba_dns_tomstone
    35_allow_dns_update_for_samaccountname
    40_samba3upgrade
    42_cn_groups
    44_upgrade_debug
    45_lowerbound
    50_skip_strict_CVE_2013_4476_check
    56_init_sam_from_ldap_password_history
    60_ldb_control_bypass_samaccountname_ldap_check
    61_bug52979-log-fill-at-debug-level-1
    75_try-other-methods-if-utimensat-is-not-supported-ret
    90_bug45982-samba-tool-dbcheck-continue-if-modify-fails
    91_DS_ROLE_BACKUP_DC
    91_net_rpc_join_machinepass
    92_allow_missing_des-cbc
    92_expose_provision_control_over_LDAPI
    92_higher_loglevel_for_IRPC_callback_timeout
    93_create_file_unixpath_inherit_sgid
    93_expose_control_replicated_update_oid
    95_dnsupdate
    96_dnsupdate_exclude_interfaces
    96_dnsupdate_exclude_interfaces
    96_dnsupdate_list_skip_msdcs
    96_only_warn_about_winbind_separator
    97-Bug-44305-remove-netlogon-from-samba-tool-ntacl-sysv
    97_Bug-38217-robust-sysvolreset
    97_Bug-44282-fix-LA-vs-DA-in-samba-tool-ntacl-syvolcheck
    97_Bug-46643-add-sysvolcheck-option-mask-msad-differences
    97_Bug-47583-make-samba-tool-ntacl-sysvolcheck-show-the-file-path-in-error-message
    97_add_option_auth_methods
    97_bug29665
    97_bug33616-samba-tool-dbcheck-handle-name-conflict-objects
    97_bug34431
    97_bug41021_dcerpc_timeout
    97_s3-auth_add_auth_methods_for_netlogon
    98_CVE-2022-2031+32744
    98_CVE-2022-32742
    98_CVE-2022-32745+32746
    98_CVE-2022-3437-des3-overflow-v4-4.16
    98_bug37687
    98_bug46745_allow_dummy_hash_instead_of_des_cbc_md5
    98_bug49747
    98_bug53101-option-authentication-file
    98_bug55048-printdriver-upload-segfaults
    99_s4-auth_add_auth_methods_for_netlogon

 -- Univention builddaemon <buildd@univention.de>  Mon, 17 Oct 2022 11:46:11 +0200

samba (2:4.16.2-1) unstable; urgency=medium

  * New upstream release

 -- Julia Bremer <bremer@univention.de>  Fri, 17 Jun 2022 17:44:22 +0200

samba (2:4.16.1-1) unstable; urgency=medium

  * New upstream release

 -- Julia Bremer <bremer@univention.de>  Tue, 03 May 2022 17:55:33 +0200

samba (2:4.16.0-1) unstable; urgency=medium

  * New upstream release

 -- Julia Bremer <bremer@univention.de>  Fri, 22 Apr 2022 09:58:36 +0200
