## samba 4.16.2+dfsg

=== debian/changelog ===
samba (2:4.16.2+dfsg-1.0nosystemd1) nosystemd; urgency=medium

  * No systemd/elogind
  * antiX build 

 -- anticapitalista <antix@operamail.com>  Thu, 16 Jun 2022 10:42:40 +0300

samba (2:4.16.2+dfsg-1) unstable; urgency=medium

  * new upstream minor/bugfix release.
  * removed waf-add-support-for-GNU-kFreeBSD.patch (applied upstream)
  * new minor version of libldb
    (no code changes, just the build system update to support python 3.11)
  * move samba-dcerpcd from samba package to samba-common-bin due to winbind
    New in 4.16 samba-dcerpcd binary is used by smbd and winbind, so putting
    it to samba package makes winbind unable to run it without samba.
    For now, in order to fix this issue, move this binary from samba to
    samba-common-bin package. It might be worth creating its own package
    for this binary (or maybe some more binaries), once it is clear where
    upstream is going to.  Making this binary a part of samba-common-bin
    adds some more files to smbclient-only setup.
    (Closes: #1012240)
  * remove mksmbpasswd script and manpage: we have smbpasswd whcih can add
    entries to smbpasswd file if needed, and can handle other passwod storage
    formats too

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 13 Jun 2022 19:08:44 +0300
