=== debian/control ===
--- 
+++ 
@@ -5,74 +5,81 @@
 Uploaders: Steve Langasek <vorlon@debian.org>,
            Jelmer Vernooĳ <jelmer@debian.org>,
            Mathieu Parent <sathieu@debian.org>,
-           Andrew Bartlett <abartlet+debian@catalyst.net.nz>
-Homepage: http://www.samba.org
-Standards-Version: 4.3.0
-Build-Depends: bison,
-               debhelper (>> 10),
-               dh-exec,
-               dh-python,
-               docbook-xml,
-               docbook-xsl,
-               flex,
-               libacl1-dev,
-               libarchive-dev,
-               libattr1-dev,
-               libavahi-client-dev,
-               libavahi-common-dev,
-               libblkid-dev,
-               libbsd-dev,
-               libcap-dev [linux-any],
-               libcephfs-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el ppc64 s390x x32],
-               libcmocka-dev (>= 1.1.3),
-               libcups2-dev,
-               libdbus-1-dev,
-               libglusterfs-dev [linux-any],
-               libgnutls28-dev,
-               libgpgme-dev,
-               libicu-dev,
-               libjansson-dev,
-               libldap2-dev,
-               libldb-dev (>= 2:2.1.4~),
-               liblmdb-dev (>= 0.9.16),
-               libncurses5-dev,
-               libpam0g-dev,
-               libparse-yapp-perl,
-               libpcap-dev [hurd-i386 kfreebsd-any],
-               libpopt-dev,
-               librados-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el ppc64 s390x x32],
-               libreadline-dev,
-               libsystemd-dev [linux-any],
-               libtalloc-dev (>= 2.3.1~),
-               libtasn1-6-dev (>= 3.8),
-               libtasn1-bin,
-               libjson-perl,
-               libtdb-dev (>= 1.4.3~),
-               libtevent-dev (>= 0.10.2~),
-               perl,
-               pkg-config,
-               po-debconf,
-               python3-dev,
-               python3-dnspython,
-               python3-netifaces,
-               python3-etcd,
-               python3-ldb (>= 2:2.1.4~),
-               python3-ldb-dev (>= 2:2.1.4~),
-               python3-markdown,
-               python3-talloc-dev (>= 2.3.1~),
-               python3-tdb (>= 1.4.3~),
-               python3-testtools,
-               python3,
-               xfslibs-dev [linux-any],
-               xsltproc,
-               zlib1g-dev (>= 1:1.2.3)
+           Andrew Bartlett <abartlet+debian@catalyst.net.nz>,
+           Michael Tokarev <mjt@tls.msk.ru>
+Homepage: https://www.samba.org
+Standards-Version: 4.5.1
+Build-Depends:
+	debhelper-compat (= 13),
+	dh-exec,
+Build-Depends-Arch:
+	dh-sequence-python3,
+# tools:
+	bison,
+	docbook-xml,
+	docbook-xsl,
+	flex,
+	perl,
+	po-debconf,
+	xsltproc,
+# libraries which we embed but use system versions of:
+	libtalloc-dev (>= 2.3.3-3~),
+	python3-talloc-dev (>= 2.3.3~),
+	libtevent-dev (>= 0.11.0~),
+	libtdb-dev (>= 1.4.6-2~),
+	python3-tdb (>= 1.4.6~),
+# system libraries:
+	pkg-config,
+	libacl1-dev,
+	libarchive-dev,
+	libavahi-client-dev,
+	libavahi-common-dev,
+	libblkid-dev,
+	libbsd-dev,
+	libcap-dev [linux-any],
+	libcephfs-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el ppc64 s390x x32],
+	libcmocka-dev (>= 1.1.3),
+	libcups2-dev,
+	libdbus-1-dev,
+	libglusterfs-dev [linux-any],
+	libgnutls28-dev,
+	libgpgme11-dev,
+	libicu-dev,
+	libjansson-dev,
+	libjson-perl,
+	libldap2-dev,
+	liblmdb-dev,
+	libncurses5-dev,
+	libpam0g-dev,
+	libparse-yapp-perl,
+	libpcap-dev [hurd-i386 kfreebsd-any],
+	libpopt-dev,
+	librados-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el ppc64 s390x x32],
+	libreadline-dev,
+	libtasn1-6-dev (>= 3.8),
+	libtasn1-bin,
+	liburing-dev [linux-any],
+	xfslibs-dev [linux-any],
+	zlib1g-dev (>= 1:1.2.3),
+# python:
+	python3,
+	python3-dev,
+	python3-dnspython,
+	python3-etcd,
+	python3-markdown,
+	python3-testtools,
+# dependencies needed for selftest:
+#	openssl <!nocheck>,
+#	python3-cryptography <!nocheck>,
+#	python3-iso8601 <!nocheck>,
+#	python3-pyasn1 <!nocheck>,
 Rules-Requires-Root: binary-targets
 Vcs-Browser: https://salsa.debian.org/samba-team/samba
 Vcs-Git: https://salsa.debian.org/samba-team/samba.git
 
 Package: samba
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser,
          libpam-modules,
          libpam-runtime (>= 1.0.1-11),
@@ -123,12 +130,13 @@
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces:
-# libsamba-util.so &deps moved from libwbclient0 to samba-libs in 4.16.2
- libwbclient0 (<< 2:4.16.2),
-# libRPC-WORKER-samba4.so & libREG-FULL-samba4.so moved from samba to samba-libs in 4.16.2
- samba (<< 2:4.16.2),
+# libsamba-util.so &deps moved from libwbclient0 to samba-libs in 4.16.1+dfsg-7
+ libwbclient0 (<< 2:4.16.1+dfsg-7~),
+# libRPC-WORKER-samba4.so & libREG-FULL-samba4.so moved from samba to samba-libs in 4.16.2+dfsg-1
+ samba (<< 2:4.16.2+dfsg-1~),
 Breaks: sssd-ad-common (<< 2.3.0),
- libwbclient0 (<< 4.16.2)
+ libwbclient0 (<< 2:4.16.1+dfsg-7~),
+ samba (<< 2:4.16.2+dfsg-1~),
 Description: Samba core libraries
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
@@ -140,7 +148,7 @@
 Package: samba-common
 Architecture: all
 Multi-Arch: foreign
-Pre-Depends: dpkg (>= 1.15.6~), ${misc:Pre-Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ucf, ${misc:Depends}
 Recommends: samba-common-bin
 Description: common files used by both the Samba server and client
@@ -163,6 +171,9 @@
 Suggests: heimdal-clients,
           python3-markdown,
           python3-dnspython
+# in 4.16.2+dfsg-1 we moved samba-dcerpcd from samba to samba-common-bin:
+Replaces: samba (<< 2:4.16.2+dfsg-1~)
+Breaks:   samba (<< 2:4.16.2+dfsg-1~)
 Description: Samba common files used by both the server and the client
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
  providing support for cross-platform file sharing with Microsoft Windows, OS X,
@@ -179,7 +190,6 @@
          samba-libs (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Pre-Depends: dpkg (>= 1.15.6~)
 Provides: samba-client
 Suggests: cifs-utils, heimdal-clients
 Description: command-line SMB/CIFS clients for Unix
@@ -232,8 +242,9 @@
          libwbclient-dev,
          samba-libs (= ${binary:Version}),
          ${misc:Depends}
-Replaces: libwbclient-dev (<< 2:4.16.2)
-Breaks:   libwbclient-dev (<< 2:4.16.2)
+# libsamba-util.so moved from libwbclient0 to samba-libs in 4.16.1+dfsg-7
+Replaces: libwbclient-dev (<< 2:4.16.1+dfsg-7~)
+Breaks:   libwbclient-dev (<< 2:4.16.1+dfsg-7~)
 Section: devel
 Description: tools for extending Samba
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
@@ -248,23 +259,23 @@
 Pre-Depends: ${misc:Pre-Depends}
 Architecture: any
 Section: python
-Provides: ${python3:Provides}
-Depends: python3-crypto,
-         python3-ldb,
+Depends: python3-ldb,
          python3-tdb,
          samba-libs (= ${binary:Version}),
          ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
-Replaces: samba-libs (<= 2:4.16.0-1), samba (<= 2:4.16.0-1)
+Replaces:
+# libsamba-policy & helpers and dckeytab python libs moved to python3-samba
+ samba-libs (<< 2:4.16.0+dfsg-1~), samba (<< 2:4.16.0+dfsg-1~)
 Recommends: python3-gpg
-Description: Python3 bindings for Samba
- Samba is an implementation of the SMB/CIFS protocol for Unix systems,
- providing support for cross-platform file sharing with Microsoft Windows, OS X,
- and other Unix systems.  Samba can also function as a domain controller
- or member server in both NT4-style and Active Directory domains.
- .
- This package contains Python3 bindings for most Samba libraries.
+Description: Python 3 bindings for Samba
+ Samba is an implementation of the SMB/CIFS protocol for Unix systems,
+ providing support for cross-platform file sharing with Microsoft Windows, OS X,
+ and other Unix systems.  Samba can also function as a domain controller
+ or member server in both NT4-style and Active Directory domains.
+ .
+ This package contains Python 3 bindings for most Samba libraries.
 
 Package: samba-dsdb-modules
 Architecture: any
@@ -288,10 +299,8 @@
 Package: samba-vfs-modules
 Architecture: any
 Multi-Arch: same
-Breaks: samba (<< 2:4.3.2+dfsg-1), samba-libs (<< 2:4.3.2+dfsg-1)
-Replaces: samba (<< 2:4.3.2+dfsg-1), samba-libs (<< 2:4.3.2+dfsg-1)
 Depends: samba-libs (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Recommends: ${vfsceph:Recommends}, ${vfsglusterfs:Recommends}, ${vfssnapper:Recommends}
+Recommends: ${vfsmods:Depends}
 Enhances: samba
 Description: Samba Virtual FileSystem plugins
  Samba is an implementation of the SMB/CIFS protocol for Unix systems,
@@ -309,3 +318,20 @@
   * vfs_worm: Disallow writes for older file
  .
  Note: The runtime dependencies of vfs_ceph, vfs_glusterfs and vfs_snapper are
+ moved to Recommends.
+
+Package: libsmbclient
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: samba-libs (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Description: shared library for communication with SMB/CIFS servers
+ This package provides a shared library that enables client applications
+ to talk to Microsoft Windows and Samba servers using the SMB/CIFS
+ protocol.
+
+Package: libsmbclient-dev
+Section: libdevel
+Architecture: any
+Multi-Arch: same
