## samba 4.16.4+dfsg

=== debian/changelog ===
samba (2:4.16.4+dfsg-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/VERSION.patch: Update vendor string to "Ubuntu".
    - debian/smb.conf;
      + Add "(Samba, Ubuntu)" to server string.
      + Comment out the default [homes] share, and add a comment about
        "valid users = %s" to show users how to restrict access to
        \\server\username to only username.
    - debian/control: Ubuntu i386 binary compatibility:
      + drop ceph support
    - d/control: enable the liburing vfs module, except on i386 where
      liburing is not available
    - d/t/{cifs-share-access-uring,smbclient-share-access-uring}:
      Skip running the tests if on i386 platform, because the uring
      package is not available there.
    - d/t/util: fix setting the password of the smb test user
      (LP #1955851)
    - d/rules: in Ubuntu, glusterfs is not built for i386, so don't
      enable the samba glusterfs vfs mofule in that case
    - d/control: build-depend on libglusterfs-dev only on !i386 arches

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 02 Aug 2022 09:30:05 -0300

samba (2:4.16.4+dfsg-2) unstable; urgency=medium

  * d/libldb2.symbols: include newly added symbols

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 01 Aug 2022 15:43:11 +0300

samba (2:4.16.4+dfsg-1) unstable; urgency=high

  * new upstream security release fixing:
    o CVE-2022-2031: Samba AD users can bypass certain restrictions associated
      with changing passwords.
      https://www.samba.org/samba/security/CVE-2022-2031.html
    o CVE-2022-32742: Server memory information leak via SMB1.
      https://www.samba.org/samba/security/CVE-2022-32742.html
    o CVE-2022-32744: Samba AD users can forge password change requests
      for any user.
      https://www.samba.org/samba/security/CVE-2022-32744.html
    o CVE-2022-32745: Samba AD users can crash the server process with an LDAP
      add or modify request.
      https://www.samba.org/samba/security/CVE-2022-32745.html
    o CVE-2022-32746: Samba AD users can induce a use-after-free in the server
      process with an LDAP add or modify request.
      https://www.samba.org/samba/security/CVE-2022-32746.html
   * Closes: #1016449, CVE-2022-2031 CVE-2022-32742, CVE-2022-32744,
     CVE-2022-32745, CVE-2022-32746

 -- Michael Tokarev <mjt@tls.msk.ru>  Wed, 27 Jul 2022 18:35:53 +0300

samba (2:4.16.3+dfsg-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1982116). Remaining changes:
    - d/p/VERSION.patch: Update vendor string to "Ubuntu".
    - debian/smb.conf;
      + Add "(Samba, Ubuntu)" to server string.
      + Comment out the default [homes] share, and add a comment about
        "valid users = %s" to show users how to restrict access to
        \\server\username to only username.
    - debian/control: Ubuntu i386 binary compatibility:
      + drop ceph support
    - d/control: enable the liburing vfs module, except on i386 where
      liburing is not available
    - d/t/{cifs-share-access-uring,smbclient-share-access-uring}:
      Skip running the tests if on i386 platform, because the uring
      package is not available there.
    - d/t/util: fix setting the password of the smb test user
      (LP #1955851)
    - d/rules: in Ubuntu, glusterfs is not built for i386, so don't
      enable the samba glusterfs vfs mofule in that case
    - d/control: build-depend on libglusterfs-dev only on !i386 arches
  * Dropped:
    - Update nfs scripts for new nfs.conf config (LP: #1961840):
      + d/p/fix-nfs-service-name-to-nfs-kernel-server.patch: updated to use
        nfsconf(8) if it's available, instead of parsing the old config
        files in /etc/default/nfs-*
        [In 2:4.16.3+dfsg-1]
      + d/ctdb.example/nfs-kernel-server/nfs.conf: /etc/nfs.conf to be
        used by the example enable-nfs.sh example script
        [In 2:4.16.3+dfsg-1]
      + d/ctdb.example/nfs-kernel-server/quota: quota config file to be
        used by the example enable-nfs.sh script
        [In 2:4.16.3+dfsg-1]
      + d/ctdb.example/nfs-kernel-server/nfs-{common,kernel-server}:
        obsolete, replaced by nfs.conf
        [In 2:4.16.3+dfsg-1]
      + d/ctdb.example/nfs-kernel-server/enable-nfs.sh: handle new
        nfs.conf and other changes in the new nfs server packages
        [In 2:4.16.3+dfsg-1]
    - Fix abort when deleting a file and "fruit:resource = stream" is
      used.  (LP #1977491)
      + d/p/lp1977491-dont-crash-on-vfs_fruit-resource-stream-01.patch:
        Add test that shows smbd crashing when deleting a file while using
        vfs_fruit with "fruit:resource = stream".
      + d/p/lp1977491-dont-crash-on-vfs_fruit-resource-stream-02.patch:
        Handle file deleting when "fruit:resource = stream" is used.
        [Fixed upstream]
    - Build dlz module for bind 9.18.x (LP #1964032)
      + d/p/add-support-for-bind-918.patch: build a dlz module for
        bind 9.18.x
      + d/p/add-support-for-bind-918-2.patch: also update the
        provisioning tool and template config file
        [Fixed upstream]

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 29 Jul 2022 17:09:27 -0300

samba (2:4.16.3+dfsg-1) unstable; urgency=medium

  [ Michael Tokarev ]
  * new upstream minor/bugfix releae. See WHATSNEW.txt for details.
  * d/watch: add the forgotten repacksuffix=+dfsg

  [ Andreas Hasenack ]
  * update nfs configuration examples for ctdb

 -- Michael Tokarev <mjt@tls.msk.ru>  Mon, 18 Jul 2022 17:15:07 +0300

samba (2:4.16.2+dfsg-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/p/VERSION.patch: Update vendor string to "Ubuntu".
    - debian/smb.conf;
      + Add "(Samba, Ubuntu)" to server string.
      + Comment out the default [homes] share, and add a comment about
        "valid users = %s" to show users how to restrict access to
        \\server\username to only username.
    - debian/control: Ubuntu i386 binary compatibility:

