=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: samba
 Section: net
 Priority: optional
-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>,
            Jelmer Vernooĳ <jelmer@debian.org>,
            Mathieu Parent <sathieu@debian.org>,
@@ -37,11 +38,11 @@
 	libblkid-dev,
 	libbsd-dev,
 	libcap-dev [linux-any],
-	libcephfs-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el ppc64 s390x x32],
+	libcephfs-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el ppc64 s390x x32],
 	libcmocka-dev (>= 1.1.3),
 	libcups2-dev,
 	libdbus-1-dev,
-	libglusterfs-dev [linux-any],
+	libglusterfs-dev [!i386],
 	libgnutls28-dev,
 	libgpgme11-dev,
 	libicu-dev,
@@ -54,11 +55,12 @@
 	libparse-yapp-perl,
 	libpcap-dev [hurd-i386 kfreebsd-any],
 	libpopt-dev,
-	librados-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el ppc64 s390x x32],
+	librados-dev [amd64 arm64 armel armhf mips64el mipsel ppc64el ppc64 s390x x32],
 	libreadline-dev,
+	libsystemd-dev [linux-any],
 	libtasn1-6-dev (>= 3.8),
 	libtasn1-bin,
-	liburing-dev [linux-any],
+	liburing-dev [!i386],
 	xfslibs-dev [linux-any],
 	zlib1g-dev (>= 1:1.2.3),
 # python:
@@ -331,7 +333,3 @@
  to talk to Microsoft Windows and Samba servers using the SMB/CIFS
  protocol.
 
-Package: libsmbclient-dev
-Section: libdevel
-Architecture: any
-Multi-Arch: same
