=== debian/rules ===
--- 
+++ 
@@ -81,10 +81,16 @@
 ifneq ($(DEB_HOST_ARCH_OS), linux)
     WITH_GLUSTERFS =
 endif
+# GlusterFS is not built for i386 on Ubuntu
+ifeq ($(DEB_VENDOR) $(DEB_HOST_ARCH), Ubuntu i386)
+    WITH_GLUSTERFS =
+endif
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
 conf_args += \
-		--without-systemd
+	--with-systemd \
+	--systemd-install-services \
+	--with-systemddir=/lib/systemd/system
 else
 conf_args += --without-systemd
 endif
@@ -183,11 +189,7 @@
 	install -p -m755 debian/update-apparmor-samba-profile -t debian/tmp/usr/share/samba/
 	install -Dp -m0644 debian/samba.ufw.profile debian/tmp/etc/ufw/applications.d/samba
 	install -Dp -m0644 debian/source_samba.py -t debian/tmp/usr/share/apport/package-hooks/
-	# install-and-rename docs for ctdb (also arch-specific)
-	mkdir -p debian/tmp/ctdb
-	install -p ctdb/config/events/README debian/tmp/ctdb/README.notification
-	install -p ctdb/config/notification.README debian/tmp/ctdb/README.notification
-ifeq ($(DEB_HOST_ARCH_OS), hurd)
-	install -p debian/ctdb.README.hurd debian/tmp/ctdb/README.hurd
-endif
-ifeq ($(DEB_HOST_ARCH_OS), kfreebsd)
+ifeq ($(DEB_HOST_ARCH_OS), linux)
+	# Install systemd configs
+	install -Dp -m0644 ctdb/config/ctdb.service -t debian/tmp/lib/systemd/system/
+	# Services fixups
