## samba 4.16.5+dfsg

=== debian/changelog ===
samba (2:4.16.5+dfsg-2) unstable; urgency=medium

  [ Michael Tokarev ]
  * d/tests/util: use printf for formatting password for smbpasswd,
    not non-standard echo \n (mr !60)
  * introduce LDB_2.4.4 version symbol (Closes: #1021371)
    Create an empty ABI file just to make the scripts run during the build
    stage to introduce LDB_2.4.4 version symbol into libldb.so, and remove
    this empty file in the clean target. It is a bit hackish but works fine.
    This is only needed to upgrade from bullseye to bookworm, from
    4.13.13+dfsg-1~deb11u5+ to the next release, 4.16+.
    Remove this for bookworm+.
  * dont-ignore-errors-in-random-number-generation-CVE-2022-1615.patch:
    GnuTLS gnutls_rnd() can fail and give predictable random values.
    Closes: #1021024, CVE-2022-1615

  [ John Paul Adrian Glaubitz ]
  * disable ceph support on ppc64 and x32 (Closes: #1020781, #1012165)

 -- Michael Tokarev <mjt@tls.msk.ru>  Sat, 08 Oct 2022 15:11:15 +0300

samba (2:4.16.5+dfsg-1) unstable; urgency=medium

  * new (minor) upstream release 4.16.5
  * removed fix-samba-tool-domain-join-segfault.patch (included upstream)
  * d/gbp.conf: no need to filter orig.tar: uscan already does that

 -- Michael Tokarev <mjt@tls.msk.ru>  Thu, 08 Sep 2022 12:44:38 +0300
