=== debian/rules ===
--- 
+++ 
@@ -64,7 +64,7 @@
 
 WITH_CEPH = yes
 # Ceph is not available on all platforms
-ifeq (,$(filter amd64 arm64 armel armhf i386 mips64el mipsel ppc64el ppc64 s390x x32, $(DEB_HOST_ARCH)))
+ifeq (,$(filter amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x, $(DEB_HOST_ARCH)))
     WITH_CEPH =
 endif
 # Ubuntu i386 binary compatibility only effort: No Ceph
@@ -79,10 +79,6 @@
 WITH_GLUSTERFS = yes
 # GlusterFS is linux-only
 ifneq ($(DEB_HOST_ARCH_OS), linux)
-    WITH_GLUSTERFS =
-endif
-# GlusterFS is not built for i386 on Ubuntu
-ifeq ($(DEB_VENDOR) $(DEB_HOST_ARCH), Ubuntu i386)
     WITH_GLUSTERFS =
 endif
 
@@ -112,6 +108,8 @@
 bin/configured.stamp:
 	${WAF} -j1 configure -C ${conf_args} || \
 	  { $(if ${V},echo "==== contents of config.log:"; cat bin/config.log;) false; }
+# #1021371: we only need the single "version" symbol LDB_2.4.4 in the library
+	touch lib/ldb/ABI/ldb-2.4.4.sigs
 	touch $@
 
 build-arch: bin/built.stamp
